/**
 *  Copyright 2011 Carsten Gräf
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 * 
 */

package de.twenty11.skysail.common.responses;

import de.twenty11.skysail.common.SkysailData;


/**
 * Message to be send back to the client in case of success.
 * 
 * @author carsten
 *
 * @param <T>
 */
public class SkysailSuccessResponse<T extends SkysailData> extends SkysailResponse<T> {

    /**
     * empty constructor.
     * 
     * Needed for reflection.
     */
    public SkysailSuccessResponse() {
    }

    public SkysailSuccessResponse(final T data) {
        setData(data);
    }

    @Override
    public String toString() {
        StringBuffer sb = new StringBuffer();
        sb.append("Success: ").append(getSuccess()).
            append(", Message: ").append(getMessage());
        return sb.toString();
    }
}
